﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.XR.Interaction.Toolkit;

/// <summary>
/// Grabbable object, simple class that changes the InputTriggerType of XRDirectInteractor component
/// Is used for handles 
/// </summary>
public class Handle : XRGrabInteractable
{
    /// <summary>
    /// Called upon selecting object
    /// </summary>
    protected override void OnSelectEntered(SelectEnterEventArgs args)
    {
        base.OnSelectEntered(args);
        
        // If the interactor is a hand, change the InpuTriggerType for this interaction
        if(args.interactor is XRDirectInteractor hand)
            hand.selectActionTrigger = XRBaseControllerInteractor.InputTriggerType.State;
    }
    protected override void OnSelectExited(SelectExitEventArgs args)
    {
        base.OnSelectExited(args);
 
        // Revert back to default InputTriggerType
        if(args.interactor is XRDirectInteractor hand)
            hand.selectActionTrigger = XRBaseControllerInteractor.InputTriggerType.Toggle;
    }
}
