﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

/// <summary>
/// Simple class that handles the materials of sockets
/// </summary>
public class SocketMaterial : MonoBehaviour
{
    // Default material of socket
    public Material materialDefault;
    // Hover material of socket
    public Material materialHover;

    private MeshRenderer meshRenderer;

    void Awake()
    {
        meshRenderer = GetComponent<MeshRenderer>();
    }
    /// <summary>
    /// Apply default material
    /// </summary>
    public void MaterialDefault()
    {
        meshRenderer.material = materialDefault;
    }
    /// <summary>
    /// Apply hover material
    /// </summary>
    public void MaterialHover()
    {
        meshRenderer.material = materialHover;
    }
    /// <summary>
    /// Disable material
    /// </summary>
    public void MaterialOff()
    {
        meshRenderer.enabled = false;
    }
    /// <summary>
    /// Enable material
    /// </summary>
    public void MaterialOn()
    {
        meshRenderer.enabled = true;
    }
}
